
package com.tmerclub.cloud.supplier.vo;

import com.tmerclub.cloud.api.supplier.vo.SupplierBankCardVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 供应商提现申请信息VO
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
public class SupplierWithdrawCashVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "序号")
    private Long index;

    @Schema(description = "支付系统类型")
    private Integer paySysType;

    @Schema(description = "提现id")
    private Long cashId;

    @Schema(description = "供应商id")
    private Long supplierId;

    @Schema(description = "审核人id")
    private Long auditorId;

    @Schema(description = "提现金额")
    private Double amount;

    @Schema(description = "审核时间")
    private Date auditingTime;

    @Schema(description = "状态(0:未审核、1:已通过 -1:未通过 2:发放成功 3:发放失败)")
    private Integer status;

    @Schema(description = "平台备注")
    private String remarks;

    @Schema(description = "供应商备注")
    private String supplierRemarks;

    @Schema(description = "付款户名")
    private String payingAccount;

    @Schema(description = "汇款账户")
    private String payingCardNo;

    @Schema(description = "汇款时间")
    private Date payingTime;

    @Schema(description = "收款银行卡id")
    private Long supplierBankCardId;

    @Schema(description = "供应商名称")
    private String supplierName;

    @Schema(description = "供应商logo")
    private String supplierLogo;

    @Schema(description = "提现银行卡")
    private SupplierBankCardVO supplierBankCardVO;

    public Long getIndex() {
        return index;
    }

    public void setIndex(Long index) {
        this.index = index;
    }

    public Integer getPaySysType() {
        return paySysType;
    }

    public void setPaySysType(Integer paySysType) {
        this.paySysType = paySysType;
    }

    public SupplierBankCardVO getSupplierBankCardVO() {
        return supplierBankCardVO;
    }

    public void setSupplierBankCardVO(SupplierBankCardVO supplierBankCardVO) {
        this.supplierBankCardVO = supplierBankCardVO;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getSupplierLogo() {
        return supplierLogo;
    }

    public void setSupplierLogo(String supplierLogo) {
        this.supplierLogo = supplierLogo;
    }

    public Long getCashId() {
        return cashId;
    }

    public void setCashId(Long cashId) {
        this.cashId = cashId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Long getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }

    public Double getAmount() {
        return amount;
    }

    public void setAmount(Double amount) {
        this.amount = amount;
    }

    public Date getAuditingTime() {
        return auditingTime;
    }

    public void setAuditingTime(Date auditingTime) {
        this.auditingTime = auditingTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getSupplierRemarks() {
        return supplierRemarks;
    }

    public void setSupplierRemarks(String supplierRemarks) {
        this.supplierRemarks = supplierRemarks;
    }

    public String getPayingAccount() {
        return payingAccount;
    }

    public void setPayingAccount(String payingAccount) {
        this.payingAccount = payingAccount;
    }

    public String getPayingCardNo() {
        return payingCardNo;
    }

    public void setPayingCardNo(String payingCardNo) {
        this.payingCardNo = payingCardNo;
    }

    public Date getPayingTime() {
        return payingTime;
    }

    public void setPayingTime(Date payingTime) {
        this.payingTime = payingTime;
    }

    public Long getSupplierBankCardId() {
        return supplierBankCardId;
    }

    public void setSupplierBankCardId(Long supplierBankCardId) {
        this.supplierBankCardId = supplierBankCardId;
    }

    @Override
    public String toString() {
        return "SupplierWithdrawCashVO{" +
                "index=" + index +
                ", paySysType=" + paySysType +
                ", cashId=" + cashId +
                ", supplierId=" + supplierId +
                ", auditorId=" + auditorId +
                ", amount=" + amount +
                ", auditingTime=" + auditingTime +
                ", status=" + status +
                ", remarks='" + remarks + '\'' +
                ", supplierRemarks='" + supplierRemarks + '\'' +
                ", payingAccount='" + payingAccount + '\'' +
                ", payingCardNo='" + payingCardNo + '\'' +
                ", payingTime=" + payingTime +
                ", supplierBankCardId=" + supplierBankCardId +
                ", supplierName='" + supplierName + '\'' +
                ", supplierLogo='" + supplierLogo + '\'' +
                ", supplierBankCardVO=" + supplierBankCardVO +
                '}';
    }
}
